# Standards and Conventions

Each request must contain the header `Accept: application/json`.\
You should also send an `Accept-Encoding: deflate, gzip` header to receive data fast and efficiently (will be supported in the future).<br>

All endpoints return data in JSON format with the results of your query under `data` if the call is successful.

## Endpoint Response Payload Format

All endpoints return data in JSON format with the results of your query under data if the call is successful.

A Status object is always included for both successful calls and failures when possible.\
The Status object always includes the current time on the server when the call was executed as a timestamp.

<br>

```json
{
    "data" : {
    ...
    },
    "status": {
        "timestamp": "1688555980233",
        "errorCode": 400,
        "errorMessage": "Invalid value for \"id\"",
   }
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giftoin.org/api-reference/standards-and-conventions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
